{% extends 'base.html' %}

{% block content %}

  {% block content_header %}
    <h2>Files</h2>
    <p>
      <a href="{% url 'upload_file' %}" class="btn btn-primary">Upload file</a>
    </p>
  {% endblock %}

  <table class="table mb-0">
    <thead>
      <tr>
        <th>Cover</th>
        <th>Name of file</th>
        <th>Info</th>
        <th>Download</th>
        <th>Delete</th>
        <th>Approved file</th>

      </tr>
    </thead>
    <tbody>
      {% for file in files %}
        <tr>
          <td>
            {% if file.cover %}
              <img src="{{ file.cover.url }}" alt="{{ file.name_of_file }}" style="width:100px;">
            {% else %}
              <span class="text-muted">No cover</span>
            {% endif %}
          </td>
          <td>{{ file.name_of_file }}</td>
          <td>{{ file.info }}</td>
          <td>
            <a href="{{ file.file.url }}" class="btn btn-primary btn-sm" target="_blank">
              Download file
            </a>
          </td>
          <td>
            <form method="post" action="{% url 'delete_file' file.pk %}">
              {% csrf_token %}
              <button type="submit" class="btn btn-danger btn-sm">Delete</button>
            </form>
          </td>
         <td>
            <form method="post" action="{% url 'approved_file' file.pk %}">
              {% csrf_token %}
              <button type="submit" class="btn btn-primary btn-sm">Approved file</button>
            </form>
          </td>
        </tr>
      {% endfor %}
    </tbody>
  </table>
{% endblock %}
